%global octpkg io

Name:           octave-%{octpkg}
Version:        2.2.8
Release:        1%{?dist}
Summary:        Input/Output in external formats
Group:          Applications/Engineering
License:        GPLv3+ and BSD
URL:            http://octave.sourceforge.net/%{octpkg}/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz

BuildRequires:  octave-devel >= 6:3.8.0
Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave

%description
Input/Output in external formats.

%prep
%setup -q -n %{octpkg}

%build
%octave_pkg_build

%install
%octave_pkg_install

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%{octpkglibdir}
%dir %{octpkgdir}
%{octpkgdir}/*.m
%doc %{octpkgdir}/doc/
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/packinfo
%{octpkgdir}/private/
%{octpkgdir}/templates/


%changelog
* Mon Jul 6 2015 Orion Poplawski <orion@cora.nwra.com> - 2.2.8-1
- Update to 2.2.8

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 10 2015 Orion Poplawski <orion@cora.nwra.com> - 2.2.7-1
- Update to 2.2.7

* Sun Jan 4 2015 Orion Poplawski <orion@cora.nwra.com> - 2.2.6-1
- Update to 2.2.6

* Tue Nov 25 2014 Orion Poplawski <orion@cora.nwra.com> - 2.2.5-1
- Update to 2.2.5

* Sun Nov 2 2014 Orion Poplawski <orion@cora.nwra.com> - 2.2.4-1
- Update to 2.2.4

* Wed Aug 20 2014 Orion Poplawski <orion@cora.nwra.com> - 2.2.3-1
- Update to 2.2.3

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Orion Poplawski <orion@cora.nwra.com> - 2.2.2-1
- Update to 2.2.2

* Sat Apr 26 2014 Orion Poplawski <orion@cora.nwra.com> - 2.2.1-1
- Update to 2.2.1

* Sat Apr 19 2014 Orion Poplawski <orion@cora.nwra.com> - 2.2.0-1
- Update to 2.2.0

* Tue Apr 15 2014 Orion Poplawski <orion@cora.nwra.com> - 2.0.2-1
- initial package for Fedora
